/*****************************************************************************
* Copyright (c) 1990-98 Digi International Inc., All Rights Reserved
* 
* This software contains proprietary and confidential information of Digi
* International Inc.  By accepting transfer of this copy, Recipient agrees
* to retain this software in confidence, to prevent disclosure to others,
* and to make no use of this software other than that for which it was
* delivered.  This is an unpublished copyrighted work of Digi International
* Inc.  Except as permitted by federal law, 17 USC 117, copying is strictly
* prohibited.
* 
* Restricted Rights Legend
*
* Use, duplication, or disclosure by the Government is subject to
* restrictions set forth in sub-paragraph (c)(1)(ii) of The Rights in
* Technical Data and Computer Software clause at DFARS 252.227-7031 or
* subparagraphs (c)(1) and (2) of the Commercial Computer Software -
* Restricted Rights at 48 CFR 52.227-19, as applicable.
*
* Digi International Inc. 11001 Bren Road East, Minnetonka, MN 55343
*
*****************************************************************************/// WizLineSpeed.cpp : implementation file
//

#include "stdafx.h"
#include "linewan.h"
#include "WizLineSpeed.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CWizLineSpeed property page

IMPLEMENT_DYNCREATE(CWizLineSpeed, CConfigWizPage)

CWizLineSpeed::CWizLineSpeed(CConfigObject const * const pOwner, int const nState) 
{

	CConfigWizPage::Construct(IDD_WIZLINESPEED,0,pOwner,nState);

	//{{AFX_DATA_INIT(CWizLineSpeed)
	m_nLineSpeed = 0;
	//}}AFX_DATA_INIT
	m_bFirstInit = TRUE;
}

CWizLineSpeed::~CWizLineSpeed()
{
}

void CWizLineSpeed::DoDataExchange(CDataExchange* pDX)
{
	CConfigWizPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CWizLineSpeed)
	DDX_Text(pDX, IDC_WAN_BAUD, m_nLineSpeed);
	DDV_MinMaxUInt(pDX, m_nLineSpeed, 75, 2048000);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CWizLineSpeed, CConfigWizPage)
	//{{AFX_MSG_MAP(CWizLineSpeed)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

void CWizLineSpeed::RefreshValues()
{
	if (!m_bFirstInit)
		return;
	// do necessary stuff to load up values
}
/////////////////////////////////////////////////////////////////////////////
// CWizLineSpeed message handlers

BOOL CWizLineSpeed::OnInitDialog() 
{
	CConfigWizPage::OnInitDialog();
   //	Because of the way our wizard pages work (ie. they get removed from the sheet when
   // the back button is pushed), we may actually wind up here any number of times.
   // So, ... remember that we have been here, and only RefreshValues() using defaults on
   // the first time!
   RefreshValues();
   m_bFirstInit = FALSE;
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

/*
LRESULT CWizLineSpeed::OnWizardNext() 
{
	if (!UpdateData(TRUE))
		return -1;
	else
		return CConfigWizPage::OnWizardNext();
}
*/